experimental/string File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _GLIBCXX_EXPERIMENTAL_STRING

## Typedefs

template<typename _CharT , typename _Traits = char_traits<_CharT>>
using | std::experimental::fundamentals_v2::pmr::basic_string = std::basic_string< _CharT, _Traits, polymorphic_allocator< _CharT > >
typedef basic_string< char > | std::experimental::fundamentals_v2::pmr::string
typedef basic_string< char16_t > | std::experimental::fundamentals_v2::pmr::u16string
typedef basic_string< char32_t > | std::experimental::fundamentals_v2::pmr::u32string
typedef basic_string< wchar_t > | std::experimental::fundamentals_v2::pmr::wstring

## Functions

template<typename _CharT , typename _Traits , typename _Alloc , typename _Up >
void | std::experimental::fundamentals_v2::erase (basic_string< _CharT, _Traits, _Alloc > &__cont, const _Up &__value)
template<typename _CharT , typename _Traits , typename _Alloc , typename _Predicate >
void | std::experimental::fundamentals_v2::erase_if (basic_string< _CharT, _Traits, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/string.